org.springframework.web.socket.sockjs.transport.handler

## Class DefaultSockJsService

- java.lang.Object
- - org.springframework.web.socket.sockjs.support.AbstractSockJsService
  - - org.springframework.web.socket.sockjs.transport.TransportHandlingSockJsService
    - - org.springframework.web.socket.sockjs.transport.handler.DefaultSockJsService

- All Implemented Interfaces:
    SockJsService, SockJsServiceConfig

      public class DefaultSockJsService
      extends TransportHandlingSockJsService

  A default implementation of `SockJsService` with all default `TransportHandler` implementations pre-registered.
  Since:
    4.0
  Author:
    Rossen Stoyanchev, Juergen Hoeller

- - ### Field Summary

    - ### Fields inherited from class org.springframework.web.socket.sockjs.support.AbstractSockJsService

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultSockJsService(TaskScheduler scheduler)` Create a DefaultSockJsService with default `handler` types.
    `DefaultSockJsService(TaskScheduler scheduler, Collection<TransportHandler> handlerOverrides)` Create a DefaultSockJsService with overridden `handler` types replacing the corresponding default handler implementation.
    `DefaultSockJsService(TaskScheduler scheduler, TransportHandler... handlerOverrides)` Create a DefaultSockJsService with overridden `handler` types replacing the corresponding default handler implementation.

  - ### Method Summary

    - ### Methods inherited from class org.springframework.web.socket.sockjs.transport.TransportHandlingSockJsService

      `getHandshakeInterceptors, getMessageCodec, getTransportHandlers, handleRawWebSocketRequest, handleTransportRequest, setHandshakeInterceptors, setMessageCodec`

    - ### Methods inherited from class org.springframework.web.socket.sockjs.support.AbstractSockJsService

      `addCacheHeaders, addCorsHeaders, addNoCacheHeaders, getDisconnectDelay, getHeartbeatTime, getHttpMessageCacheSize, getName, getSockJsClientLibraryUrl, getStreamBytesLimit, getTaskScheduler, handleRequest, isSessionCookieNeeded, isWebSocketEnabled, sendMethodNotAllowed, setDisconnectDelay, setHeartbeatTime, setHttpMessageCacheSize, setName, setSessionCookieNeeded, setSockJsClientLibraryUrl, setStreamBytesLimit, setWebSocketEnabled, validateRequest`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.web.socket.sockjs.transport.SockJsServiceConfig

      `getHeartbeatTime, getHttpMessageCacheSize, getStreamBytesLimit, getTaskScheduler`

- - ### Constructor Detail

    - #### DefaultSockJsService

          public DefaultSockJsService(TaskScheduler scheduler)

      Create a DefaultSockJsService with default `handler` types.
      Parameters:
        `scheduler` - a task scheduler for heart-beat messages and removing timed-out sessions; the provided TaskScheduler should be declared as a Spring bean to ensure it is initialized at start up and shut down when the application stops.

    - #### DefaultSockJsService

          public DefaultSockJsService(TaskScheduler scheduler,
                                      TransportHandler... handlerOverrides)

      Create a DefaultSockJsService with overridden `handler` types replacing the corresponding default handler implementation.
      Parameters:
        `scheduler` - a task scheduler for heart-beat messages and removing timed-out sessions; the provided TaskScheduler should be declared as a Spring bean to ensure it gets initialized at start-up and shuts down when the application stops
        `handlerOverrides` - zero or more overrides to the default transport handler types

    - #### DefaultSockJsService

          public DefaultSockJsService(TaskScheduler scheduler,
                                      Collection<TransportHandler> handlerOverrides)

      Create a DefaultSockJsService with overridden `handler` types replacing the corresponding default handler implementation.
      Parameters:
        `scheduler` - a task scheduler for heart-beat messages and removing timed-out sessions; the provided TaskScheduler should be declared as a Spring bean to ensure it gets initialized at start-up and shuts down when the application stops
        `handlerOverrides` - zero or more overrides to the default transport handler types